com.sun.research.ws.wadl

## Enum HTTPMethods

- java.lang.Object
- - java.lang.Enum<HTTPMethods>
  - - com.sun.research.ws.wadl.HTTPMethods

All Implemented Interfaces:
  Serializable, Comparable<HTTPMethods>

    public enum HTTPMethods
    extends Enum<HTTPMethods>

Java class for HTTPMethods.

The following schema fragment specifies the expected content contained within this class.

     <simpleType name="HTTPMethods">
       <restriction base="{http://www.w3.org/2001/XMLSchema}NMTOKEN">
         <enumeration value="GET"/>
         <enumeration value="POST"/>
         <enumeration value="PUT"/>
         <enumeration value="HEAD"/>
         <enumeration value="DELETE"/>
       </restriction>
     </simpleType>

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`DELETE`
`GET`
`HEAD`
`POST`
`PUT`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`static HTTPMethods` `fromValue(String v)`
`String` `value()`
`static HTTPMethods` `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static HTTPMethods[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### GET

    public static final HTTPMethods GET

#### POST

    public static final HTTPMethods POST

#### PUT

    public static final HTTPMethods PUT

#### HEAD

    public static final HTTPMethods HEAD

#### DELETE

    public static final HTTPMethods DELETE

### Method Detail

#### values

    public static HTTPMethods[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (HTTPMethods c : HTTPMethods.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static HTTPMethods valueOf(String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null

#### value

    public String value()

#### fromValue

    public static HTTPMethods fromValue(String v)